#!/bin/sh
set -eu

pyvers=$(py3versions -s)

cp -a tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

export LC_ALL=C.UTF-8
export http_proxy=''

for py in ${pyvers}; do
  echo "-=-=-=-=-=-=-=- running tests for ${py} -=-=-=-=-=-=-=-=-"
  printf '$ %s\n' "${py} -m pytest tests"
  ${py} -m pytest tests
done
